## com.baidubce.services.moladb.model
Class DeleteTableRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.moladb.model.DeleteTableRequest

    public class DeleteTableRequest

extends AbstractBceRequest

Represents the input of a DeleteTable operation.

Constructor Summary
`DeleteTableRequest()` Constructs a new DeleteTableRequest object.
`DeleteTableRequest(String tableName)` Constructs a new DeleteTableRequest object.

Method Summary
`String` `getTableName()` Get the name of the table to be deleted.
`void` `setTableName(String tableName)` Set the name of the table to be deleted.
`DeleteTableRequest` `withRequestCredentials(BceCredentials credentials)`
`DeleteTableRequest` `withTableName(String tableName)` Set the name of the table to be deleted.

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteTableRequest

    public DeleteTableRequest()

  Constructs a new DeleteTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

### DeleteTableRequest

    public DeleteTableRequest(String tableName)

  Constructs a new DeleteTableRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

  Parameters:
    `tableName` - The name of the table to be deleted.

Method Detail

### withTableName

    public DeleteTableRequest withTableName(String tableName)

  Set the name of the table to be deleted.

  Parameters:
    `tableName` - The name of the table to be deleted.
  Returns:
    Returns a reference to the object so that method calls can be chained together.

### setTableName

    public void setTableName(String tableName)

  Set the name of the table to be deleted.

  Parameters:
    `tableName` - The name of the table to be deleted.

### getTableName

    public String getTableName()

  Get the name of the table to be deleted.

  Returns:
    The name of the table to be deleted.

### withRequestCredentials

    public DeleteTableRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.